Open Infrastructure - Task #6914

Task # 6869 (Rejected): Challenge OpenStack and OpenNebula with ucloud
Task # 6897 (Rejected): Create ucloud-image service

ucloud-image-scanner

07/01/2019 06:59 PM - Ahmed Bilal

Status: Closed Start date: 07/01/2019
Priority: Normal Due date:

Assignee: Ahmed Bilal % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

e Scans all entries in /v1/image

1. If there is a json with TO_BE_CREATED
1. Look for the filename below basepath/$owner/$filename
2. If it is not there, error out
3. If image is found
1. Verify that it is qcow?2 format (file or gemu-img)
2. Convert it to raw and import it into ceph using

gemu-img convert —-f gcow2 -0
raw image.gcow2 image.raw | rbd import - imagestorename/image-uuid

History

#1 - 07/01/2019 07:00 PM - Ahmed Bilal
- Parent task set to #6897

#2 - 07/01/2019 08:19 PM - Ahmed Bilal

e Everything mentioned above is completed. Only, | couldn't be able to check whether it is successfully imported into CEPH because | don't have
it.

#3 - 07/01/2019 08:19 PM - Ahmed Bilal

- Status changed from New to Feedback

#4 - 07/15/2019 04:32 PM - Ahmed Bilal

- Status changed from Feedback to In Progress

#5 - 11/28/2019 08:28 PM - Ahmed Bilal

- Status changed from In Progress to Closed
